Name:           adlplug
Version:        1.0.1
Release:        1%{?dist}
Summary:        ADL FM Synthesizer

License:        Boost
URL:            https://github.com/jpcima/ADLplug
Source0:        https://github.com/jpcima/ADLplug/releases/download/v%{version}/ADLplug-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ cmake
BuildRequires:  alsa-lib-devel
BuildRequires:  freetype-devel
BuildRequires:  libX11-devel libXrandr-devel libXinerama-devel libXcursor-devel

%description
FM synthesizer with OPL3 (YMF262) chip emulation.

%package -n opnplug
Summary:        OPN FM Synthesizer

%package -n lv2-adlplug-plugins
Summary:        ADL FM Synthesizer in LV2 format

%package -n lv2-opnplug-plugins
Summary:        OPN FM Synthesizer in LV2 format

%description -n opnplug
FM synthesizer with OPN2 (YM2612) chip emulation.

%description -n lv2-adlplug-plugins
LV2 plugin with OPL3 chip emulation.

%description -n lv2-opnplug-plugins
LV2 plugin with OPN3 chip emulation.

%prep
%autosetup -n ADLplug-%{version}

%build
# Build the OPL3 variant
mkdir build; cd build
%cmake -DCMAKE_BUILD_TYPE=Release -DADLplug_VST2=OFF -DADLplug_Jack=OFF ..
%make_build

cd ..

# Build the OPN2 variant
mkdir build-opn; cd build-opn
%cmake -DCMAKE_BUILD_TYPE=Release -DADLplug_VST2=OFF -DADLplug_Jack=OFF -DADLplug_CHIP=OPN2 ..
%make_build

%install
rm -rf $RPM_BUILD_ROOT
# Install the OPL3 variant
cd build
%make_install

cd ..

# Install the OPN2 variant
cd build-opn
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/ADLplug
%{_datadir}/applications/ADLplug.desktop
%{_datadir}/icons/hicolor/32x32/apps/ADLplug.png
%{_datadir}/icons/hicolor/96x96/apps/ADLplug.png
%{_datadir}/pixmaps/ADLplug.png

%files -n opnplug
%license LICENSE
%doc README.md
%{_bindir}/OPNplug
%{_datadir}/applications/OPNplug.desktop
%{_datadir}/icons/hicolor/32x32/apps/OPNplug.png
%{_datadir}/icons/hicolor/96x96/apps/OPNplug.png
%{_datadir}/pixmaps/OPNplug.png

%files -n lv2-adlplug-plugins
%license LICENSE
%doc README.md
%{_libdir}/lv2/ADLplug.lv2/

%files -n lv2-opnplug-plugins
%license LICENSE
%doc README.md
%{_libdir}/lv2/OPNplug.lv2/

%changelog
* Wed May 06 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 1.0.1-1
- Initial build
